Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

aspectId
string<uuid>
required

The aspect ID (UUID)

id
string<uuid>
required

The search-table ID

Response

Ok

vectorIndexes
object[]
linkedSchema
string

Linked-only: schema holding the Cortex Search Service

id
string<uuid>

The search-table ID

field
object
linkedDatabase
string

Linked-only: database holding the Cortex Search Service

duration
enum<string>

Time unit for search-table refresh duration.

Available options:
SECONDS,
MINUTES,
HOURS,
DAYS
attributeFields
object[]
aiProviderConnector
object
status
string

Lifecycle status (PENDING, READY, FAILED, …)

displayName
string

The server-assigned display name

linkedServiceName
string

Linked-only: name of the existing Cortex Search Service

__typename
string

The search-table variant (AspectSearchSnowflakeTable or AspectLinkedSearchTable)

warehouse
string

Snowflake warehouse used to maintain the table

targetLag
integer<int32>

Refresh target-lag amount

errorMessage
string

Populated when status is FAILED

textIndexFields
object[]